<!--
Copyright © Institut für Qualitätsentwicklung an Schulen Schleswig-Holstein (IQSH)

SPDX-License-Identifier: AGPL-3.0-or-later
-->
<script setup lang="ts">
import ChatBubble from '@/components/general/ChatBubble.vue';

const props = defineProps<{
    user: string,
    avatar?: string
}>();


</script>
<template>
    <div class="flex gap-2 w-full" :class="user==='system'?'flex-row':'flex-row-reverse'">
        <div class="min-w-8 min-h-8 max-w-8 max-h-8">
            <div class="min-w-8 min-h-8 max-w-8 max-h-8 rounded-full text-center leading-8"
                :class="user==='system'?'bg-gray-300 text-gray-500':'bg-accent1-default text-accent1-text'" v-if="!avatar"><i
                    class="ri-user-line ri-lg"></i></div>
            <img class="min-w-8 min-h-8 max-w-8 max-h-8 rounded-full object-contain" :src="avatar" v-else>
        </div>
        <div class="w-fit">
            <ChatBubble :position="user==='system'?'left':'right'" :color="user === 'system' ?'#e2e8f0':'#ffffff'">
                <div class="flex flex-col gap-2">
                    <div class="animate-pulse flex flex-col text-slate-700">
                        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="currentColor"><path d="M2.9918 21C2.44405 21 2 20.5551 2 20.0066V3.9934C2 3.44476 2.45531 3 2.9918 3H21.0082C21.556 3 22 3.44495 22 3.9934V20.0066C22 20.5552 21.5447 21 21.0082 21H2.9918ZM20 15V5H4V19L14 9L20 15ZM20 17.8284L14 11.8284L6.82843 19H20V17.8284ZM8 11C6.89543 11 6 10.1046 6 9C6 7.89543 6.89543 7 8 7C9.10457 7 10 7.89543 10 9C10 10.1046 9.10457 11 8 11Z"></path></svg>
                        <div class="text-center text-lg">{{ $t('ai.image.generate.text') }}</div>
                    </div>
                </div>
            </ChatBubble>
        </div>
    </div>
</template>